## linux 4.9.88

=== Makefile ===
VERSION = 4
PATCHLEVEL = 9
SUBLEVEL = 88
EXTRAVERSION =
NAME = Roaring Lionus

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# o Do not use make's built-in rules and variables
#   (this increases performance and avoids hard-to-debug behaviour);
# o Look for make include files relative to root of kernel src
MAKEFLAGS += -rR --include-dir=$(CURDIR)

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(filter 4.%,$(MAKE_VERSION)),)	# make-4
ifneq ($(filter %s ,$(firstword x$(MAKEFLAGS))),)
  quiet=silent_
  tools_silent=s
endif
else					# make-3.8x
ifneq ($(filter s% -s%,$(MAKEFLAGS)),)
  quiet=silent_
  tools_silent=-s
endif
endif

export quiet Q KBUILD_VERBOSE

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.

# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(words $(subst :, ,$(CURDIR))), 1)
  $(error main directory cannot contain spaces nor colons)
endif

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell mkdir -p $(KBUILD_OUTPUT) && cd $(KBUILD_OUTPUT) \
								&& /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error failed to create output directory "$(saved-output)"))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	@:

sub-make:
	$(Q)$(MAKE) -C $(KBUILD_OUTPUT) KBUILD_SRC=$(CURDIR) \
	-f $(CURDIR)/Makefile $(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# Do not print "Entering directory ...",
# but we want to display it when entering to the output directory
# so that IDEs/editors are able to understand relative filenames.
MAKEFLAGS += --no-print-directory

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

ifeq ($(KBUILD_SRC),)
        # building in the source tree
        srctree := .
else
        ifeq ($(KBUILD_SRC)/,$(dir $(CURDIR)))
                # building in a subdirectory of the source tree
                srctree := ..
        else
                srctree := $(KBUILD_SRC)
        endif
endif
objtree		:= .
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH

# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/x86/ -e s/x86_64/x86/ \
				  -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ -e s/aarch64.*/arm64/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer -std=gnu89
HOSTCXXFLAGS = -O2

ifeq ($(shell $(HOSTCC) -v 2>&1 | grep -c "clang version"), 1)
HOSTCFLAGS  += -Wno-unused-value -Wno-unused-parameter \
		-Wno-missing-field-initializers -fno-delete-null-pointer-checks
endif

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

# If we have only "make modules", don't compile built-in objects.
# When we're building modules with modversions, we need to consider
# the built-in objects during the descend as well, in order to
# make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

# If we have "make <whatever> modules", compile modules
# in addition to whatever we do anyway.
# Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# We need some generic definitions (do not try to remake the file).
scripts/Kbuild.include: ;
include scripts/Kbuild.include

# Make variables (CC, etc...)
AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
PERL		= perl
PYTHON		= python
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
NOSTDINC_FLAGS  =
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
LDFLAGS_vmlinux =

# Use USERINCLUDE when you must reference the UAPI directories only.
USERINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include/uapi \
		-I$(objtree)/arch/$(hdr-arch)/include/generated/uapi \
		-I$(srctree)/include/uapi \
		-I$(objtree)/include/generated/uapi \
                -include $(srctree)/include/linux/kconfig.h

# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include \
		-I$(objtree)/arch/$(hdr-arch)/include/generated/uapi \
		-I$(objtree)/arch/$(hdr-arch)/include/generated \
		$(if $(KBUILD_SRC), -I$(srctree)/include) \
		-I$(objtree)/include

LINUXINCLUDE	+= $(filter-out $(LINUXINCLUDE),$(USERINCLUDE))

=== debian/changelog ===
linux (4.9.88-1+deb9u1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports:
    - Revert "[x86] psmouse: Enable MOUSE_PS2_VMMOUSE", which breaks
      xserver-xorg-input-vmmouse and several metapackages in jessie
    - Revert changes to use gcc-6 compiler, not found in jessie
    - Change ABI number to 0.bpo.6
    - Revert changes to flex and asciidoc build-dependencies
    - linux-image-dbg: Revert changes to packaging of debug symbols
    - Revert "enable `perf data' support" as libbabeltrace is not available
    - [mips*] Disable RELOCATABLE and RANDOMIZE_BASE.
    - [x86] (Build-)depend on retpoline-capable versions of gcc-4.9

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 13 May 2018 18:53:22 +0100

linux (4.9.88-1+deb9u1) stretch-security; urgency=high

  [ Salvatore Bonaccorso ]
  * [x86] x86/entry/64: Don't use IST entry for #BP stack (CVE-2018-8897)
  * [x86] kvm: fix icebp instruction handling (CVE-2018-1087)

  [ Ben Hutchings ]
  * Revert "random: fix crng_ready() test" (Closes: #897599), reopening
    CVE-2018-1108

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 07 May 2018 23:38:25 +0100

linux (4.9.88-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports:
    - Revert "[x86] psmouse: Enable MOUSE_PS2_VMMOUSE", which breaks
      xserver-xorg-input-vmmouse and several metapackages in jessie
    - Revert changes to use gcc-6 compiler, not found in jessie
    - Change ABI number to 0.bpo.6
    - Revert changes to flex and asciidoc build-dependencies
    - linux-image-dbg: Revert changes to packaging of debug symbols
    - Revert "enable `perf data' support" as libbabeltrace is not available
    - [mips*] Disable RELOCATABLE and RANDOMIZE_BASE.
    - [x86] (Build-)depend on retpoline-capable versions of gcc-4.9

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 05 May 2018 00:29:42 +0100

linux (4.9.88-1) stretch-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.83
    - ext4: fix a race in the ext4 shutdown path
    - ext4: save error to disk in __ext4_grp_locked_error()
    - console/dummy: leave .con_font_get set to NULL
    - rtlwifi: rtl8821ae: Fix connection lost problem correctly
    - target/iscsi: avoid NULL dereference in CHAP auth error path
    - Btrfs: fix deadlock in run_delalloc_nocow
    - Btrfs: fix crash due to not cleaning up tree log block's dirty bits
    - Btrfs: fix extent state leak from tree log
    - Btrfs: fix unexpected -EEXIST when creating new inode
    - ALSA: seq: Fix racy pool initializations (CVE-2018-7566)
    - ocfs2: try a blocking lock before return AOP_TRUNCATED_PAGE
    - [s390] s390: fix handling of -1 in set{,fs}[gu]id16 syscalls
    - [x86] x86/entry/64/compat: Clear registers for compat syscalls, to
      reduce speculation attack surface (hardening for Spectre)
    - [x86] x86/speculation: Update Speculation Control microcode blacklist
    - [x86] x86/speculation: Correct Speculation Control microcode blacklist
      again
    - [x86] KVM/x86: Reduce retpoline performance impact in
      slot_handle_level_range(), by always inlining iterator helper methods
    - [x86] X86/nVMX: Properly set spec_ctrl and pred_cmd before merging MSRs
    - vfs: don't do RCU lookup of empty pathnames
    - media: r820t: fix r820t_write_reg for KASAN
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.84
    - cfg80211: check dev_set_name() return value
    - xfrm: skip policies marked as dead while rehashing
    - mm,vmscan: Make unregister_shrinker() no-op if register_shrinker()
      failed.
    - xfrm: Fix stack-out-of-bounds read on socket policy lookup.
    - xfrm: check id proto in validate_tmpl()
    - sctp: set frag_point in sctp_setsockopt_maxseg correctly
    - drm: Require __GFP_NOFAIL for the legacy drm_modeset_lock_all
    - selinux: ensure the context is NUL terminated in
      security_context_to_sid_core()
    - [x86] KVM: x86: fix escape of guest dr6 to the host
    - netfilter: x_tables: fix int overflow in xt_alloc_table_info()
    - netfilter: x_tables: avoid out-of-bounds reads in
      xt_request_find_{match|target}
    - netfilter: ipt_CLUSTERIP: fix out-of-bounds accesses in
      clusterip_tg_check()
    - netfilter: on sockopt() acquire sock lock only in the required scope
    - netfilter: xt_cgroup: initialize info->priv in cgroup_mt_check_v1()
    - netfilter: xt_RATEEST: acquire xt_rateest_mutex for hash insert
    - crypto: hash - prevent using keyed hashes without setting key
    - [arm*] ARM: dts: Fix omap4 hang with GPS connected to USB by using
      wakeupgen
    - sctp: only update outstanding_bytes for transmitted queue when doing
      prsctp_prune
    - net_sched: red: Avoid devision by zero
    - net_sched: red: Avoid illegal values
    - btrfs: Fix possible off-by-one in btrfs_search_path_in_tree
    - 509: fix printing uninitialized stack memory when OID is empty
    - dmaengine: at_hdmac: fix potential NULL pointer dereference in
      atc_prep_dma_interleaved
    - clk: fix a panic error caused by accessing NULL pointer
    - xfrm: Fix stack-out-of-bounds with misconfigured transport mode
      policies.
    - drm/armada: fix leak of crtc structure
    - [x86] mm/early_ioremap: Fix boot hang with earlyprintk=efi,keep
    - [x86] x86/mm/kmmio: Fix mmiotrace for page unaligned addresses
    - hippi: Fix a Fix a possible sleep-in-atomic bug in rr_close
    - [powerpc*] powerpc/64s: Fix conversion of slb_miss_common to use
      RFI_TO_USER/KERNEL
    - [powerpc*] powerpc/64s: Simple RFI macro conversions
    - [powerpc*] powerpc/64s: Improve RFI L1-D cache flush fallback
    - crypto: talitos - fix Kernel Oops on hashing an empty file
    - ALSA: hda/ca0132 - fix possible NULL pointer use
    - [x86] KVM: async_pf: Fix #DF due to inject "Page not Present" and "Page
      Ready" exceptions simultaneously
    - crypto: s5p-sss - Fix kernel Oops in AES-ECB mode


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 10.1~), dh-exec, python3:any, quilt, cpio <!stage1>, xz-utils <!stage1>, kernel-wedge (>= 2.93~) <!stage1>, kmod <!stage1>, bc <!stage1>, libssl-dev:native <!stage1>, libssl-dev [linux-any] <!stage1 !pkg.linux.notools cross>, openssl (>= 1.1.0-1~) <!stage1> | openssl:native <!stage1>, asciidoc <!stage1 !nodoc !pkg.linux.notools>, xmlto <!stage1 !nodoc !pkg.linux.notools>, bison <!stage1 !pkg.linux.notools !nopython>, flex <!stage1 !pkg.linux.notools !nopython>, gcc-multilib [amd64 ppc64 s390x sparc64] <!stage1 !pkg.linux.notools !nopython>, libaudit-dev <!stage1 !pkg.linux.notools !nopython>, libdw-dev <!stage1 !pkg.linux.notools !nopython>, libelf-dev <!stage1 !pkg.linux.notools !nopython>, libiberty-dev <!stage1 !pkg.linux.notools !nopython>, libnewt-dev <!stage1 !pkg.linux.notools !nopython>, libnuma-dev [amd64 arm64 hppa i386 mips mips64 mips64el mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el powerpc powerpcspe ppc64 ppc64el sparc x32] <!stage1 !pkg.linux.notools !nopython>, libperl-dev <!stage1 !pkg.linux.notools !nopython>, libunwind8-dev [amd64 armel armhf arm64 i386] <!stage1 !pkg.linux.notools !nopython>, python-dev <!stage1 !pkg.linux.notools !nopython>, autoconf <!stage1 !pkg.linux.notools>, automake <!stage1 !pkg.linux.notools>, libtool <!stage1 !pkg.linux.notools>, libglib2.0-dev <!stage1 !pkg.linux.notools>, libudev-dev <!stage1 !pkg.linux.notools>, libwrap0-dev <!stage1 !pkg.linux.notools>, rsync <!stage1 !pkg.linux.notools>, libpci-dev <!stage1 !pkg.linux.notools>, dh-python <!stage1>, gcc-4.9 [alpha arm64 armel armhf hppa mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc64], gcc-4.9 (>= 4.9.2-10+deb7u1) [amd64 i386], gcc-4.9 (<< 4.9.2-11) [amd64 i386], binutils-hppa64 [hppa], gcc-4.9-hppa64 [hppa], gcc-4.8 [m68k]
Build-Depends-Indep: patchutils <!stage1>, python-sphinx <!stage1 !nodoc>, python-sphinx-rtd-theme <!stage1 !nodoc>, xmlto <!stage1 !nodoc>
Homepage: https://www.kernel.org/
Vcs-Browser: https://anonscm.debian.org/cgit/kernel/linux.git
Vcs-Git: https://anonscm.debian.org/git/kernel/linux.git

Package: linux-source-4.9
Architecture: all
Section: kernel
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make, bc
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 4.9 with Debian patches
 This package provides source code for the Linux kernel version 4.9. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-support-4.9.0-0.bpo.6
Architecture: all
Section: devel
Depends: ${python3:Depends}, ${misc:Depends}
Description: Support files for Linux 4.9
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-doc-4.9
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 4.9
 This package provides the various README files and HTML documentation for
 the Linux kernel version 4.9.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-4.9/Documentation/00-INDEX for the detailed
 description of the contents.
Build-Profiles: <!stage1 !nodoc>
Multi-Arch: foreign

Package: linux-manual-4.9
Architecture: all
Section: doc
Provides: linux-manual
Depends: ${misc:Depends}
Replaces: linux-manual
Conflicts: linux-manual
Description: Linux kernel API manual pages for version 4.9
 This package provides the Kernel Hacker's Guide in the form of manual
 pages, describing the kernel API functions.  They are installed into
 section 9 of the manual.
 .
 As the files containing manual pages for different kernel versions are
 installed in the same location, only one linux-manual package may be
 installed at a time.  The linux-doc package containing the documentation
 in other formats is free from such restriction.
Build-Profiles: <!stage1 !nodoc>
Multi-Arch: foreign

Package: linux-kbuild-4.9
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Kbuild infrastructure for Linux 4.9
 This package provides the kbuild infrastructure for the headers packages
 for Linux kernel version 4.9.
Build-Profiles: <!stage1 !pkg.linux.notools>
Multi-Arch: foreign

Package: linux-cpupower
Architecture: linux-any
Section: admin
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU power management tools for Linux
 The cpupower command allows inspection and control of cpufreq and cpuidle
 tunables for hardware that support these features.  It replaces
 "cpufreq-info" and "cpufreq-set" in cpufrequtils.
 .
 ${cpupower:Arch-Description}
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: libcpupower1
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU frequency and voltage scaling tools for Linux (libraries)
 This package contains the shared library.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: libcpupower-dev
Architecture: linux-any
Section: libdevel
Provides: libcpufreq-dev
Depends: ${shlibs:Depends}, ${misc:Depends}, libcpupower1 (= ${binary:Version})
Replaces: libcpufreq-dev
Conflicts: libcpufreq-dev
Description: CPU frequency and voltage scaling tools for Linux (development files)
 This package contains the 'power/cpupower' headers and library shared
 objects.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: linux-perf-4.9
Architecture: alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc powerpcspe ppc64 ppc64el s390 s390x sh4 sparc sparc64
Section: devel
Provides: linux-tools-4.9
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, ${python:Depends}
Recommends: linux-base
Suggests: linux-doc-4.9
Replaces: linux-tools-4.9
Conflicts: linux-tools-4.9
Description: Performance analysis tools for Linux 4.9
 This package contains the 'perf' performance analysis tools for Linux
 kernel version 4.9.
 .
 The linux-base package contains a 'perf' command which will invoke the
 appropriate version for the running kernel.
Build-Profiles: <!stage1 !pkg.linux.notools !nopython>

Package: libusbip-dev
Architecture: linux-any
Section: libdevel
Depends: ${misc:Depends}
Description: USB device sharing system over IP network (development files)
 USB/IP is a system for sharing USB devices over the network.
 .
 This package provides headers for the libusbip library and the library
 itself for static linking.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: usbip
Architecture: linux-any
Section: admin
Depends: usbutils, ${shlibs:Depends}, ${misc:Depends}
Description: USB device sharing system over IP network
 USB/IP is a system for sharing USB devices over the network.
 .
 To share USB devices between computers with their full functionality,
 USB/IP encapsulates "USB requests" into IP packets and transmits them
 between computers.
 .
 Original USB device drivers and applications can be used for remote USB
 devices without any modification of them.  A computer can use remote USB
 devices as if they were directly attached.
 .
 Currently USB/IP provides no access control or encryption.  It should only
 be used in trusted environments.
 .
 This package provides the server component 'usbipd' and the client tool
 'usbip'.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: hyperv-daemons
Architecture: amd64 i386 x32
Section: admin
Depends: lsb-base, ${shlibs:Depends}, ${misc:Depends}
Description: Support daemons for Linux running on Hyper-V
 Suite of daemons for Linux guests running on Hyper-V, consisting of
 hv_fcopy_daemon, hv_kvp_daemon and hv_vss_daemon.
 .
 hv_fcopy_daemon provides the file copy service, allowing the host to copy
 files into the guest.
 .
 hv_kvp_daemon provides the key-value pair (KVP) service, allowing the host
 to get and set the IP networking configuration of the guest.  (This
 requires helper scripts which are not currently included.)
 .
 hv_vss_daemon provides the volume shadow copy service (VSS), allowing the
 host to freeze the guest filesystems while taking a snapshot.
Build-Profiles: <!stage1 !pkg.linux.notools>

Package: linux-headers-4.9.0-0.bpo.6-common
Architecture: all
Depends: ${misc:Depends}
Description: Common header files for Linux 4.9.0-0.bpo.6
 This package provides the common kernel header files for Linux kernel
 version 4.9.0-0.bpo.6, generally used for building out-of-tree kernel
 modules.  To obtain a complete set of headers you also need to install the
 linux-headers-4.9.0-0.bpo.6-(flavour) package, matching the flavour of the
 kernel you intend the build for.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-headers-4.9.0-0.bpo.6-common-rt
Architecture: all
Depends: ${misc:Depends}
Description: Common header files for Linux 4.9.0-0.bpo.6-rt
 This package provides the common kernel header files for Linux kernel
 version 4.9.0-0.bpo.6 with the PREEMPT_RT featureset, generally used for
 building out-of-tree kernel modules.  To obtain a complete set of headers
 you also need to install the linux-headers-4.9.0-0.bpo.6-(flavour)
 package, matching the flavour of the kernel you intend the build for.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-libc-dev
Architecture: alpha amd64 arm64 armel armhf hppa i386 m68k mips mips64 mips64el mipsel mipsn32 mipsn32el powerpc powerpcspe ppc64 ppc64el s390 s390x sh3 sh4 sparc sparc64 tilegx x32
Section: devel
Provides: linux-kernel-headers
Depends: ${misc:Depends}
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU libc and other system
 libraries.
Multi-Arch: same

Package: linux-headers-4.9.0-0.bpo.6-all
Architecture: alpha amd64 arm64 armel armhf hppa i386 m68k mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc64
Depends: linux-headers-4.9.0-0.bpo.6-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
Description: All header files for Linux 4.9 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 4.9, generally used for building out-of-tree
 kernel modules.
Build-Profiles: <!stage1>

Package: linux-headers-4.9.0-0.bpo.6-all-alpha
Architecture: alpha
Depends: ${misc:Depends}, linux-headers-4.9.0-0.bpo.6-alpha-generic (= ${binary:Version}), linux-headers-4.9.0-0.bpo.6-alpha-smp (= ${binary:Version})
Description: All header files for Linux 4.9 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 4.9, generally used for building out-of-tree
 kernel modules.
Build-Profiles: <!stage1>

Package: kernel-image-4.9.0-0.bpo.6-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: kernel-image
Description: Linux kernel image and core modules for the Debian installer
 This package contains the kernel image and core modules for the Debian
 installer boot images.  It does _not_ provide a usable kernel for your
 full Debian system.
Build-Profiles: <!stage1>
Kernel-Version: 4.9.0-0.bpo.6-alpha-generic
Package-Type: udeb

=== debian/tests/control ===
Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-4.9.0-0.bpo.6-alpha-generic [alpha], linux-image-4.9.0-0.bpo.6-alpha-smp [alpha], linux-image-4.9.0-0.bpo.6-amd64 [amd64], linux-image-4.9.0-0.bpo.6-rt-amd64 [amd64], linux-image-4.9.0-0.bpo.6-arm64 [arm64], linux-image-4.9.0-0.bpo.6-marvell [armel], linux-image-4.9.0-0.bpo.6-armmp [armhf], linux-image-4.9.0-0.bpo.6-armmp-lpae [armhf], linux-image-4.9.0-0.bpo.6-parisc [hppa], linux-image-4.9.0-0.bpo.6-parisc64-smp [hppa], linux-image-4.9.0-0.bpo.6-686 [i386], linux-image-4.9.0-0.bpo.6-686-pae [i386], linux-image-4.9.0-0.bpo.6-rt-686-pae [i386], linux-image-4.9.0-0.bpo.6-m68k [m68k], linux-image-4.9.0-0.bpo.6-4kc-malta [mips mipsel], linux-image-4.9.0-0.bpo.6-5kc-malta [mips mipsel mips64 mips64el], linux-image-4.9.0-0.bpo.6-octeon [mips mipsel mips64 mips64el], linux-image-4.9.0-0.bpo.6-loongson-3 [mipsel mips64el], linux-image-4.9.0-0.bpo.6-powerpc [powerpc], linux-image-4.9.0-0.bpo.6-powerpc-smp [powerpc], linux-image-4.9.0-0.bpo.6-powerpc64 [powerpc ppc64], linux-image-4.9.0-0.bpo.6-powerpcspe [powerpcspe], linux-image-4.9.0-0.bpo.6-powerpc64le [ppc64el], linux-image-4.9.0-0.bpo.6-s390x [s390x], linux-image-4.9.0-0.bpo.6-sh7751r [sh4], linux-image-4.9.0-0.bpo.6-sh7785lcr [sh4], linux-image-4.9.0-0.bpo.6-sparc64 [sparc64], linux-image-4.9.0-0.bpo.6-sparc64-smp [sparc64]
Classes: smp
